from io import open
from setuptools import setup
from sphinx_nord_theme import __version__

setup(
    name='sphinx-nord-theme',
    version=__version__,
    author='Gil Balsiger',
    description='A modern theme for Sphinx docs',
    long_description=open('README.md', 'r').read(),
    long_description_content_type="text/markdown",
    url='https://github.com/balsigergil/sphinx-nord-theme/',
    license='MIT',
    packages=['sphinx_nord_theme'],
    package_data={'sphinx_nord_theme': [
        'theme.conf',
        '*.html',
        'static/css/*.css',
        'static/js/*.js',
        'static/font/*.*'
    ]},
    entry_points={
        'sphinx.html_themes': [
            'sphinx_nord_theme = sphinx_nord_theme',
        ]
    },
    install_requires=[
        'sphinx'
    ],
    classifiers=[
        'Development Status :: 2 - Pre-Alpha',
        'Framework :: Sphinx',
        'Framework :: Sphinx :: Theme',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License',
        'Operating System :: OS Independent',
        'Topic :: Documentation',
        'Topic :: Documentation :: Sphinx',
        'Topic :: Software Development :: Documentation'
    ],
)
